Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document
Class ConcretePaintableElement

    java.lang.Object
      info.bioinfweb.treegraph.document.ConcretePaintableElement

All Implemented Interfaces:
  PaintableElement, Cloneable

Direct Known Subclasses:
  AbstractTextElement, Branch, Label

    public abstract class ConcretePaintableElement

extends Object
implements Cloneable, PaintableElement

Field Summary
`protected EnumMap<PositionPaintType,PositionData>` | `positions`

Constructor Summary
`ConcretePaintableElement()`

Method Summary
`abstract ConcretePaintableElement` | `clone()` Implementing classes should not copy the `EnumMap positions` because the copy of this element will be located at another position.
`PositionData` | `getPosition(PositionPaintType type)` Returns the stored `DataPosition`-object of an for an positioner- identifier.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.PaintableElement
`getFormats, setFormats`

Field Detail

### positions

    protected EnumMap<PositionPaintType,PositionData> positions

Constructor Detail

### ConcretePaintableElement

    public ConcretePaintableElement()

Method Detail

### getPosition

    public PositionData getPosition(PositionPaintType type)

  Description copied from interface: `PaintableElement`
  Returns the stored `DataPosition`-object of an for an positioner- identifier. If no position-object has been stored for this identifier, one will be created.

  Specified by:
    `getPosition` in interface `PaintableElement`
  Returns:
    the stored position

### clone

    public abstract ConcretePaintableElement clone()

  Implementing classes should not copy the `EnumMap positions` because the copy of this element will be located at another position. Therefor the copy will should an empty `EnumMap`.

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD